Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class MessageDAOImpl

    java.lang.Object
      org.apache.ode.dao.jpa.MessageDAOImpl

All Implemented Interfaces:
  MessageDAO

    public class MessageDAOImpl

extends java.lang.Object
implements MessageDAO

Field Summary
`static java.lang.String` | `DELETE_MESSAGES_BY_IDS`
`static java.lang.String` | `SELECT_REQUEST_MESSAGE_IDS_BY_PROCESS`
`static java.lang.String` | `SELECT_RESPONSE_MESSAGE_IDS_BY_PROCESS`

Constructor Summary
`MessageDAOImpl()`
`MessageDAOImpl(javax.xml.namespace.QName type, MessageExchangeDAOImpl me)`

Method Summary
`org.w3c.dom.Element` | `getData()` Get the message data (content).
`org.w3c.dom.Element` | `getHeader()` Get the message header (content).
`javax.xml.namespace.QName` | `getType()` Get the message type (i.e.
`void` | `setData(org.w3c.dom.Element value)` Set the message data (content).
`void` | `setHeader(org.w3c.dom.Element value)` Set the message header (content).
`void` | `setType(javax.xml.namespace.QName type)` Set the message type (i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_REQUEST_MESSAGE_IDS_BY_PROCESS

    public static final java.lang.String SELECT_REQUEST_MESSAGE_IDS_BY_PROCESS

See Also:
  Constant Field Values

### SELECT_RESPONSE_MESSAGE_IDS_BY_PROCESS

    public static final java.lang.String SELECT_RESPONSE_MESSAGE_IDS_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_MESSAGES_BY_IDS

    public static final java.lang.String DELETE_MESSAGES_BY_IDS

See Also:
  Constant Field Values

Constructor Detail

### MessageDAOImpl

    public MessageDAOImpl()

### MessageDAOImpl

    public MessageDAOImpl(javax.xml.namespace.QName type,
                          MessageExchangeDAOImpl me)

Method Detail

### getData

    public org.w3c.dom.Element getData()

  Description copied from interface: `MessageDAO`
  Get the message data (content).

  Specified by:
    `getData` in interface `MessageDAO`

### getType

    public javax.xml.namespace.QName getType()

  Description copied from interface: `MessageDAO`
  Get the message type (i.e. the type).

  Specified by:
    `getType` in interface `MessageDAO`

### setData

    public void setData(org.w3c.dom.Element value)

  Description copied from interface: `MessageDAO`
  Set the message data (content).

  Specified by:
    `setData` in interface `MessageDAO`

### setType

    public void setType(javax.xml.namespace.QName type)

  Description copied from interface: `MessageDAO`
  Set the message type (i.e. the type).

  Specified by:
    `setType` in interface `MessageDAO`

### getHeader

    public org.w3c.dom.Element getHeader()

  Description copied from interface: `MessageDAO`
  Get the message header (content).

  Specified by:
    `getHeader` in interface `MessageDAO`

### setHeader

    public void setHeader(org.w3c.dom.Element value)

  Description copied from interface: `MessageDAO`
  Set the message header (content).

  Specified by:
    `setHeader` in interface `MessageDAO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD